Package org.apache.tools.ant.taskdefs.optional.net

# Class TelnetTask.AntTelnetClient

java.lang.Object
org.apache.commons.net.SocketClient
org.apache.commons.net.telnet.TelnetClient
org.apache.tools.ant.taskdefs.optional.net.TelnetTask.AntTelnetClient

Enclosing class:
  TelnetTask

    public class TelnetTask.AntTelnetClient
    extends org.apache.commons.net.telnet.TelnetClient

This class handles the abstraction of the telnet protocol. Currently it is a wrapper around Jakarta Commons Net.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static int` | `TERMINAL_TYPE` |
  `protected static int` | `TERMINAL_TYPE_IS` |
  `protected static int` | `TERMINAL_TYPE_SEND` |

  ### Fields inherited from class org.apache.commons.net.telnet.TelnetClient

  `readerThread`

  ### Fields inherited from class org.apache.commons.net.SocketClient

  `_defaultPort_, _hostname_, _input_, _output_, _serverSocketFactory_, _socket_, _socketFactory_, _timeout_, connectTimeout, NETASCII_EOL`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AntTelnetClient()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `sendString​(java.lang.String s, boolean echoString)` | Write this string to the telnet session.
  `void` | `waitForString​(java.lang.String s)` | Read from the telnet session until the string we are waiting for is found
  `void` | `waitForString​(java.lang.String s, java.lang.Integer timeout)` | Read from the telnet session until the string we are waiting for is found or the timeout has been reached

  ### Methods inherited from class org.apache.commons.net.telnet.TelnetClient

  `_connectAction_, addOptionHandler, deleteOptionHandler, disconnect, getInputStream, getLocalOptionState, getOutputStream, getReaderThread, getRemoteOptionState, registerInputListener, registerNotifHandler, registerSpyStream, sendAYT, sendCommand, sendSubnegotiation, setReaderThread, stopSpyStream, unregisterInputListener, unregisterNotifHandler`

  ### Methods inherited from class org.apache.commons.net.SocketClient

  `addProtocolCommandListener, connect, connect, connect, connect, connect, connect, createCommandSupport, fireCommandSent, fireReplyReceived, getCharset, getCharsetName, getCommandSupport, getConnectTimeout, getDefaultPort, getDefaultTimeout, getKeepAlive, getLocalAddress, getLocalPort, getProxy, getReceiveBufferSize, getRemoteAddress, getRemotePort, getSendBufferSize, getServerSocketFactory, getSoLinger, getSoTimeout, getTcpNoDelay, isAvailable, isConnected, removeProtocolCommandListener, setCharset, setConnectTimeout, setDefaultPort, setDefaultTimeout, setKeepAlive, setProxy, setReceiveBufferSize, setSendBufferSize, setServerSocketFactory, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TERMINAL_TYPE

    protected static final int TERMINAL_TYPE
    See Also:
      Constant Field Values

  - ### TERMINAL_TYPE_SEND

    protected static final int TERMINAL_TYPE_SEND
    See Also:
      Constant Field Values

  - ### TERMINAL_TYPE_IS

    protected static final int TERMINAL_TYPE_IS
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### AntTelnetClient

    public AntTelnetClient()

- ## Method Details

  - ### waitForString

    public void waitForString​(java.lang.String s)
    Read from the telnet session until the string we are waiting for is found
    Parameters:
      `s` - The string to wait on

  - ### waitForString

    public void waitForString​(java.lang.String s, java.lang.Integer timeout)
    Read from the telnet session until the string we are waiting for is found or the timeout has been reached
    Parameters:
      `s` - The string to wait on
      `timeout` - The maximum number of seconds to wait

  - ### sendString

    public void sendString​(java.lang.String s, boolean echoString)
    Write this string to the telnet session.
    Parameters:
      `s` - the string to write
      `echoString` - if true log the string sent